package com.ruoyi.warehouse.check.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 巡检check对象 t_warehouse_check
 * 
 * @author dongyongwei
 * @date 2021-07-21
 */
public class TWarehouseCheck extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long fId;

    /** 仓库id */
    @Excel(name = "仓库id")
    @NotNull(message = "仓库不能为空")
    private Long fWarehouseFid;

    /** 仓库名称 */
    private String fWarehouseName;

    /** 巡检人 */
    @Excel(name = "巡检人")
    private Long fInspectorId;

    /** 巡检人姓名 */
    private String fInspectorName;

    /** 系统编号 */
    @Excel(name = "系统编号")
    private String fSystemNo;

    /** 巡检计划日期起 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "巡检计划日期起", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date fInspectorBeginDatetime;

    /** 巡检计划日期止 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "巡检计划日期止", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date fInspectorEndDatetime;

    /** 巡检备注 */
    @Excel(name = "巡检备注")
    private String fRemark;

    /** 制单人 */
    @Excel(name = "制单人")
    private Long fCreateBy;

    /** 制单人姓名 */
    private String fCreateByName;

    /** 制单日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "制单日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date fCreateTime;

    /** 更新人 */
    @Excel(name = "更新人")
    private Long fUpdateBy;

    /** 更新人姓名 */
    private String fUpdateByName;

    private List<TWarehouseCheckItems> tWarehouseCheckItemsList;

    public List<TWarehouseCheckItems> gettWarehouseCheckItemsList() {
        return tWarehouseCheckItemsList;
    }

    public void settWarehouseCheckItemsList(List<TWarehouseCheckItems> tWarehouseCheckItemsList) {
        this.tWarehouseCheckItemsList = tWarehouseCheckItemsList;
    }

    public String getfWarehouseName() {
        return fWarehouseName;
    }

    public void setfWarehouseName(String fWarehouseName) {
        this.fWarehouseName = fWarehouseName;
    }

    public String getfInspectorName() {
        return fInspectorName;
    }

    public void setfInspectorName(String fInspectorName) {
        this.fInspectorName = fInspectorName;
    }

    public String getfCreateByName() {
        return fCreateByName;
    }

    public void setfCreateByName(String fCreateByName) {
        this.fCreateByName = fCreateByName;
    }

    public String getfUpdateByName() {
        return fUpdateByName;
    }

    public void setfUpdateByName(String fUpdateByName) {
        this.fUpdateByName = fUpdateByName;
    }

    /** 最新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fUpdateTime;

    /** 删除状态（0正常 1停用） */
    @Excel(name = "删除状态", readConverterExp = "0=正常,1=停用")
    private Integer fDelFlag;

    public void setfId(Long fId) 
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfWarehouseFid(Long fWarehouseFid) 
    {
        this.fWarehouseFid = fWarehouseFid;
    }

    public Long getfWarehouseFid() 
    {
        return fWarehouseFid;
    }
    public void setfInspectorId(Long fInspectorId) 
    {
        this.fInspectorId = fInspectorId;
    }

    public Long getfInspectorId() 
    {
        return fInspectorId;
    }
    public void setfSystemNo(String fSystemNo) 
    {
        this.fSystemNo = fSystemNo;
    }

    public String getfSystemNo() 
    {
        return fSystemNo;
    }
    public void setfInspectorBeginDatetime(Date fInspectorBeginDatetime) 
    {
        this.fInspectorBeginDatetime = fInspectorBeginDatetime;
    }

    public Date getfInspectorBeginDatetime() 
    {
        return fInspectorBeginDatetime;
    }
    public void setfInspectorEndDatetime(Date fInspectorEndDatetime) 
    {
        this.fInspectorEndDatetime = fInspectorEndDatetime;
    }

    public Date getfInspectorEndDatetime() 
    {
        return fInspectorEndDatetime;
    }
    public void setfRemark(String fRemark) 
    {
        this.fRemark = fRemark;
    }

    public String getfRemark() 
    {
        return fRemark;
    }
    public void setfCreateBy(Long fCreateBy) 
    {
        this.fCreateBy = fCreateBy;
    }

    public Long getfCreateBy() 
    {
        return fCreateBy;
    }
    public void setfCreateTime(Date fCreateTime) 
    {
        this.fCreateTime = fCreateTime;
    }

    public Date getfCreateTime() 
    {
        return fCreateTime;
    }
    public void setfUpdateBy(Long fUpdateBy) 
    {
        this.fUpdateBy = fUpdateBy;
    }

    public Long getfUpdateBy() 
    {
        return fUpdateBy;
    }
    public void setfUpdateTime(Date fUpdateTime) 
    {
        this.fUpdateTime = fUpdateTime;
    }

    public Date getfUpdateTime() 
    {
        return fUpdateTime;
    }
    public void setfDelFlag(Integer fDelFlag) 
    {
        this.fDelFlag = fDelFlag;
    }

    public Integer getfDelFlag() 
    {
        return fDelFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fWarehouseFid", getfWarehouseFid())
            .append("fInspectorId", getfInspectorId())
            .append("fSystemNo", getfSystemNo())
            .append("fInspectorBeginDatetime", getfInspectorBeginDatetime())
            .append("fInspectorEndDatetime", getfInspectorEndDatetime())
            .append("fRemark", getfRemark())
            .append("fCreateBy", getfCreateBy())
            .append("fCreateTime", getfCreateTime())
            .append("fUpdateBy", getfUpdateBy())
            .append("fUpdateTime", getfUpdateTime())
            .append("fDelFlag", getfDelFlag())
            .toString();
    }
}
